% \vspace*{-45pt}
% \appendix
% \section{Proofs}
% \label{appendix:recursion_proofs}

% \section{Proof $E(k, r, b, s) = O(k,b,s) - rc$}

% \label{appendix:proof_e_equals_o_rc}

% \begin{proof}

%     Prove by backward induction. For $k=n$ we get \[E(n,r,b,s)=s-rc=O(n,b,s) - rc\]
%     So let $E(k+1,r,b,s)=O(k+1,b,s) - rc$ for some $1 \leq k+1 \leq n$. An easy calculation shows that
%     \begin{flalign*}
%         E(k, r, b, s) & = \frac{k-1}{k+1} E(k+1,r,b,s)                                                           \\
%                       & + \frac{1}{k+1} \max \left(E(k+1, r, 0, b), f_{k+1} - rc, E(k+1, r+1, 1, b)\right)       \\
%                       & + \frac{1}{k+1} \max \left(E(k+1, r, b, 0), g_{k+1} -rc, E(k+1, r+1, b, 1)\right)        \\\\
%                       & = \frac{k-1}{k+1} (O(k+1,b,s) - rc)                                                      \\
%                       & + \frac{1}{k+1} \max \left(O(k+1, 0, b) - rc, f_{k+1} - rc, O(k+1, 1, b) - rc - c\right) \\
%                       & + \frac{1}{k+1} \max \left(O(k+1, b, 0) -rc , g_{k+1} -rc, O(k+1, b, 1) -rc -c\right)    \\\\
%                       & = \frac{k-1}{k+1} O(k+1,b,s)                                                             \\
%                       & + \frac{1}{k+1} \max \left(O(k+1, 0, b), f_{k+1}, O(k+1, 1, b) - c\right)                \\
%                       & + \frac{1}{k+1} \max \left(O(k+1, b, 0), g_{k+1}, O(k+1, b, 1) - c\right) -rc            \\\\
%                       & = O(k,b,s) - rc                                                                          \\
%     \end{flalign*}
%     This completes the proof.
% \end{proof}
% \vfill

% \clearpage
% \section{Proof Structure of $h_k + p_k$}

% \begin{theorem}
%     There exists a $\hat{k}$ such that $p(k) = h_k+f_k$ increases between $0$ and $\hat{k}$ and decreases for afterwards.  
%     \label{theorem:structure_of_f_h}
% \end{theorem}
